<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>OperationListComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/dashboard/operation-list/operation-list.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>operation-list</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./operation-list.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./operation-list.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#allOperations">allOperations</a>
                            </li>
                            <li>
                                <a href="#dataSource">dataSource</a>
                            </li>
                            <li>
                                <a href="#displayedColumns">displayedColumns</a>
                            </li>
                            <li>
                                <a href="#sort">sort</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#getDownloadLink">getDownloadLink</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#management">management</a>
                            </li>
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#refreshOperations">refreshOperations</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(operationService: <a href="../injectables/OperationService.html">OperationService</a>, authorizationService: <a href="../injectables/AuthorizationService.html">AuthorizationService</a>, fileService: <a href="../injectables/FileService.html">FileService</a>, httpParams: <a href="../injectables/HttpParameters.html">HttpParameters</a>, generatedVotingMaterialService: <a href="../injectables/GeneratedVotingMaterialService.html">GeneratedVotingMaterialService</a>, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/dashboard/operation-list/operation-list.component.ts:27</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationService.html" target="_self" >OperationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authorizationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthorizationService.html" target="_self" >AuthorizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>fileService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/FileService.html" target="_self" >FileService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>httpParams</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/HttpParameters.html" target="_self" >HttpParameters</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>generatedVotingMaterialService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/GeneratedVotingMaterialService.html" target="_self" >GeneratedVotingMaterialService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="getDownloadLink"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            getDownloadLink
                            </b>
                            <a href="#getDownloadLink"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>getDownloadLink(token: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="54" class="link-to-prism">src/app/dashboard/operation-list/operation-list.component.ts:54</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>token</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="management"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            management
                            </b>
                            <a href="#management"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>management(id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="50" class="link-to-prism">src/app/dashboard/operation-list/operation-list.component.ts:50</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ngOnInit"></a>
                        <span class="name">
                            <b>
                            ngOnInit
                            </b>
                            <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>ngOnInit()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="37" class="link-to-prism">src/app/dashboard/operation-list/operation-list.component.ts:37</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="refreshOperations"></a>
                        <span class="name">
                            <b>
                            refreshOperations
                            </b>
                            <a href="#refreshOperations"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>refreshOperations()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="46" class="link-to-prism">src/app/dashboard/operation-list/operation-list.component.ts:46</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="allOperations"></a>
                        <span class="name">
                            <b>
                            allOperations
                            </b>
                            <a href="#allOperations"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>allOperations:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new BehaviorSubject&lt;Operation[]&gt;([])</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/dashboard/operation-list/operation-list.component.ts:24</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dataSource"></a>
                        <span class="name">
                            <b>
                            dataSource
                            </b>
                            <a href="#dataSource"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>dataSource:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/dashboard/operation-list/operation-list.component.ts:26</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayedColumns"></a>
                        <span class="name">
                            <b>
                            displayedColumns
                            </b>
                            <a href="#displayedColumns"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>displayedColumns:     <code></code>
</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/dashboard/operation-list/operation-list.component.ts:27</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="sort"></a>
                        <span class="name">
                            <b>
                            sort
                            </b>
                            <a href="#sort"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>sort:     <code>MatSort</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>MatSort</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChild(MatSort)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/dashboard/operation-list/operation-list.component.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit, ViewChild } from &quot;@angular/core&quot;;
import { Router } from &quot;@angular/router&quot;;
import { DataSource } from &quot;@angular/cdk/collections&quot;;
import { Observable } from &quot;rxjs/Observable&quot;;
import { BehaviorSubject } from &quot;rxjs/BehaviorSubject&quot;;
import { MatSort } from &quot;@angular/material&quot;;
import &quot;rxjs/add/operator/map&quot;;
import &quot;rxjs/add/observable/merge&quot;;
import { map, merge } from &quot;rxjs/operators&quot;;
import { Operation } from &quot;../../operation/model/operation&quot;;
import { OperationService } from &quot;../../operation/service/operation.service&quot;;
import { sortOnProperty } from &quot;../../core/util/table-utils&quot;;
import { AuthorizationService } from &quot;../../core/service/http/authorization.service&quot;;
import { GeneratedVotingMaterialService } from &quot;../../operation/service/generated-voting-material.service&quot;;
import { FileService } from &quot;../../core/service/file-service/file-service&quot;;
import { HttpParameters } from &#x27;../../core/service/http/http.parameters.service&#x27;;

@Component({
  selector: &#x27;operation-list&#x27;,
  templateUrl: &#x27;./operation-list.component.html&#x27;,
  styleUrls: [&#x27;./operation-list.component.scss&#x27;]
})
export class OperationListComponent implements OnInit {
  allOperations &#x3D; new BehaviorSubject&lt;Operation[]&gt;([]);
  @ViewChild(MatSort) sort: MatSort;
  dataSource;
  displayedColumns;

  constructor(private operationService: OperationService,
              private authorizationService: AuthorizationService,
              private fileService: FileService,
              private httpParams: HttpParameters,
              private generatedVotingMaterialService: GeneratedVotingMaterialService,
              private router: Router) {
  }

  ngOnInit(): void {
    this.displayedColumns &#x3D; this.authorizationService.hasAtLeastOneRole([&quot;ROLE_PRINTER&quot;]) ?
      [&#x27;date&#x27;, &#x27;shortLabel&#x27;, &#x27;longLabel&#x27;, &#x27;printerArchiveInfo&#x27;, &#x27;printerArchiveDownload&#x27;]
      : [&#x27;date&#x27;, &#x27;shortLabel&#x27;, &#x27;longLabel&#x27;, &#x27;management&#x27;];

    this.refreshOperations();
    this.dataSource &#x3D; new OperationsDataSource(this.allOperations, this.sort);
  }

  refreshOperations() {
    this.operationService.findAll().subscribe((operations &#x3D;&gt; this.allOperations.next(operations)));
  }

  public management(id: number): void {
    this.router.navigate([&quot;operations&quot;, id]);
  }

  public getDownloadLink(token: string) {

    return &#x60;${this.httpParams.apiBaseURL}/download-with-token/${token}&#x60;;
  }
}

class OperationsDataSource extends DataSource&lt;any&gt; {

  constructor(private operations: BehaviorSubject&lt;Operation[]&gt;, private sort: MatSort) {
    super();
  }

  connect(): Observable&lt;Operation[]&gt; {
    return this.operations.pipe(
      merge(this.sort.sortChange),
      map(() &#x3D;&gt; sortOnProperty(this.operations.getValue(), this.sort.active, this.sort.direction))
    );

  }

  disconnect() {
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;mat-card id&#x3D;&quot;operationListSection&quot;&gt;
  &lt;mat-card-header&gt;
    &lt;mat-card-title&gt;{{ &#x27;dashboard.operation-list.title&#x27; | translate }}&lt;/mat-card-title&gt;
  &lt;/mat-card-header&gt;
  &lt;mat-card-content fxLayout&#x3D;&quot;column&quot; class&#x3D;&quot;no-padding&quot;&gt;
    &lt;mat-table #table [dataSource]&#x3D;&quot;dataSource&quot; matSort id&#x3D;&quot;operationsGrid&quot;&gt;

      &lt;ng-container matColumnDef&#x3D;&quot;date&quot;&gt;
        &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt; {{&quot;dashboard.operation-list.grid.header.date&quot; | translate}}
        &lt;/mat-header-cell&gt;
        &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.date | date:&#x27;dd.MM.yyyy&#x27; }}&lt;/mat-cell&gt;
      &lt;/ng-container&gt;

      &lt;ng-container matColumnDef&#x3D;&quot;shortLabel&quot;&gt;
        &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt; {{&quot;dashboard.operation-list.grid.header.short-label&quot; |
          translate}}
        &lt;/mat-header-cell&gt;
        &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.shortLabel}}&lt;/mat-cell&gt;
      &lt;/ng-container&gt;

      &lt;ng-container matColumnDef&#x3D;&quot;longLabel&quot;&gt;
        &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt; {{&quot;dashboard.operation-list.grid.header.long-label&quot; |
          translate}}
        &lt;/mat-header-cell&gt;
        &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.longLabel}}&lt;/mat-cell&gt;
      &lt;/ng-container&gt;

      &lt;ng-container matColumnDef&#x3D;&quot;printerArchiveInfo&quot;&gt;
        &lt;mat-header-cell *matHeaderCellDef mat-sort-header&gt; {{&quot;dashboard.operation-list.grid.header.printer-info&quot; |
          translate}}
        &lt;/mat-header-cell&gt;
        &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt; {{element.printerFileGenerationDate | date:&#x27;dd.MM.yyyy HH:mm&#x27; }}&lt;/mat-cell&gt;
      &lt;/ng-container&gt;

      &lt;ng-container matColumnDef&#x3D;&quot;management&quot;&gt;
        &lt;mat-header-cell *matHeaderCellDef&gt; {{&quot;dashboard.operation-list.grid.header.management&quot; | translate}}
        &lt;/mat-header-cell&gt;
        &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
          &lt;button mat-icon-button color&#x3D;&quot;primary&quot; (click)&#x3D;&quot;management(element.id)&quot;&gt;
            &lt;mat-icon&gt;more_horiz&lt;/mat-icon&gt;
          &lt;/button&gt;
        &lt;/mat-cell&gt;
      &lt;/ng-container&gt;

      &lt;ng-container matColumnDef&#x3D;&quot;printerArchiveDownload&quot;&gt;
        &lt;mat-header-cell *matHeaderCellDef&gt; {{&quot;dashboard.operation-list.grid.header.printer-download-link&quot; |
          translate}}
        &lt;/mat-header-cell&gt;
        &lt;mat-cell *matCellDef&#x3D;&quot;let element&quot;&gt;
          &lt;a href&#x3D;&quot;{{getDownloadLink(element.printerFileDownloadToken)}}&quot;&gt;
            &lt;mat-icon&gt;file_download&lt;/mat-icon&gt;
          &lt;/a&gt;
        &lt;/mat-cell&gt;
      &lt;/ng-container&gt;

      &lt;mat-header-row *matHeaderRowDef&#x3D;&quot;displayedColumns&quot;&gt;&lt;/mat-header-row&gt;
      &lt;mat-row *matRowDef&#x3D;&quot;let row; columns: displayedColumns;&quot;&gt;&lt;/mat-row&gt;
    &lt;/mat-table&gt;
  &lt;/mat-card-content&gt;
&lt;/mat-card&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./operation-list.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.mat-column-date {
  flex: 0 0 10rem;
}

.mat-column-shortLabel {
  flex: 1 0 0;
}

.mat-column-longLabel {
  flex: 2 0 0;
}

.mat-column-printerArchiveInfo {
  flex: 3 0 0;
}

.mat-column-management {
  flex: 0 0 10rem;
}

.mat-column-printerArchiveDownload {
  flex: 0 0 30rem;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><mat-card id="operationListSection">  <mat-card-header>    <mat-card-title>{{ \'dashboard.operation-list.title\' | translate }}</mat-card-title>  </mat-card-header>  <mat-card-content fxLayout="column" class="no-padding">    <mat-table #table [dataSource]="dataSource" matSort id="operationsGrid">      <ng-container matColumnDef="date">        <mat-header-cell *matHeaderCellDef mat-sort-header> {{"dashboard.operation-list.grid.header.date" | translate}}        </mat-header-cell>        <mat-cell *matCellDef="let element"> {{element.date | date:\'dd.MM.yyyy\' }}</mat-cell>      </ng-container>      <ng-container matColumnDef="shortLabel">        <mat-header-cell *matHeaderCellDef mat-sort-header> {{"dashboard.operation-list.grid.header.short-label" |          translate}}        </mat-header-cell>        <mat-cell *matCellDef="let element"> {{element.shortLabel}}</mat-cell>      </ng-container>      <ng-container matColumnDef="longLabel">        <mat-header-cell *matHeaderCellDef mat-sort-header> {{"dashboard.operation-list.grid.header.long-label" |          translate}}        </mat-header-cell>        <mat-cell *matCellDef="let element"> {{element.longLabel}}</mat-cell>      </ng-container>      <ng-container matColumnDef="printerArchiveInfo">        <mat-header-cell *matHeaderCellDef mat-sort-header> {{"dashboard.operation-list.grid.header.printer-info" |          translate}}        </mat-header-cell>        <mat-cell *matCellDef="let element"> {{element.printerFileGenerationDate | date:\'dd.MM.yyyy HH:mm\' }}</mat-cell>      </ng-container>      <ng-container matColumnDef="management">        <mat-header-cell *matHeaderCellDef> {{"dashboard.operation-list.grid.header.management" | translate}}        </mat-header-cell>        <mat-cell *matCellDef="let element">          <button mat-icon-button color="primary" (click)="management(element.id)">            <mat-icon>more_horiz</mat-icon>          </button>        </mat-cell>      </ng-container>      <ng-container matColumnDef="printerArchiveDownload">        <mat-header-cell *matHeaderCellDef> {{"dashboard.operation-list.grid.header.printer-download-link" |          translate}}        </mat-header-cell>        <mat-cell *matCellDef="let element">          <a href="{{getDownloadLink(element.printerFileDownloadToken)}}">            <mat-icon>file_download</mat-icon>          </a>        </mat-cell>      </ng-container>      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>    </mat-table>  </mat-card-content></mat-card></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'OperationListComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'OperationListComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
